<?php
add_action( 'customize_register', 'asiathemes_header_customizer' );
function asiathemes_header_customizer( $wp_customize ) {
wp_enqueue_style('businesso-customizr', ASIATHEMES_TEMPLATE_DIR_URI .'/css/customizr.css');
$wp_customize->remove_control('header_textcolor');

/* Header Section */
	$wp_customize->add_panel( 'header_options', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'title'      => __('Theme Options Settings', 'businesso'),
	) );
	
   	$wp_customize->add_section( 'header_front_data' , array(
		'title'      => __('Custom Header Settings', 'businesso'),
		'panel'  => 'header_options',
		'priority'   => 20,
   	) );
	
	$wp_customize->add_setting(
	'businesso_option[header_info_phone]', array(
        'default'        => __('(2)245 23 68','businesso'),
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'type' => 'option',
    ));
    $wp_customize->add_control('businesso_option[header_info_phone]', array(
        'label'   => __('Header Headline :', 'businesso'),
        'section' => 'header_front_data',
        'type'    => 'text',
    ));
	$wp_customize->add_setting('businesso_option[header_info_mail]'
		, array(
        'default'        => __('asiathemes.com','businesso'),
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'type' => 'option',
    ));
    $wp_customize->add_control( 'businesso_option[header_info_mail]', array(
        'label'   => __('Header Text :', 'businesso'),
        'section' => 'header_front_data',
        'type'    => 'text',
    ));
	
	//Header logo setting
	$wp_customize->add_section( 'header_logo' , array(
		'title'      => __('Header Logo setting', 'businesso'),
		'panel'  => 'header_options',
		'priority' => 21,
   	) );
	$wp_customize->add_setting(
		'businesso_option[upload_image_logo]'
		, array(
        'default'        => ASIATHEMES_TEMPLATE_DIR_URI.'/images/logo.png',
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type' => 'option',
    ));
	
	$wp_customize->add_control(
		   new WP_Customize_Image_Control(
			   $wp_customize,
			   'businesso_option[upload_image_logo]',
			   array(
				   'label'          => __( 'Upload a 250x50 for Logo Image', 'businesso' ),
				   'section'        => 'header_logo',
			   )
		   )
	);
	
	//Enable/Disable logo text
	$wp_customize->add_setting(
    'businesso_option[text_title]',array(
	'default'    => 1,
	'sanitize_callback' => 'sanitize_text_field',
	'type' => 'option'
	));

	$wp_customize->add_control(
    'businesso_option[text_title]',
    array(
        'type' => 'checkbox',
        'label' => __('Enable/Disabe Logo','businesso'),
        'section' => 'header_logo',
		'priority' => 10,
    )
	);
	
	
	//Logo width
	
	$wp_customize->add_setting(
    'businesso_option[width]',array(
	'sanitize_callback' => 'sanitize_text_field',
	'default' => 200,
	'type' => 'option',
	
	));

	$wp_customize->add_control(
    'businesso_option[width]',
    array(
        'type' => 'text',
        'label' => __('Enter Logo Width','businesso'),
        'section' => 'header_logo',
    )
	);
	
	//Logo Height
	$wp_customize->add_setting(
    'businesso_option[height]',array(
	'sanitize_callback' => 'sanitize_text_field',
	'default' => 50,
	'type'=>'option',
	
	));

	$wp_customize->add_control(
    'businesso_option[height]',
    array(
        'type' => 'text',
        'label' => __('Enter Logo Height','businesso'),
        'section' => 'header_logo',
    )
	);
	
	
	
	//Text logo
	$wp_customize->add_setting(
	'businesso_option[enable_header_logo_text]'
    ,array(
	'default' => 1,
	'sanitize_callback' => 'sanitize_text_field',
	'type' =>'option',
	'priority' => 2,
	
	));

	$wp_customize->add_control(
    'businesso_option[enable_header_logo_text]',
    array(
        'type' => 'checkbox',
        'label' => __('Show Logo text','businesso'),
        'section' => 'header_logo',
    )
	);
	
	//Custom css
	$wp_customize->add_section( 'custom_css' , array(
		'title'      => __('Custom css', 'businesso'),
		'panel'  => 'header_options',
		'priority' => 24,
   	) );
	$wp_customize->add_setting(
	'businesso_option[businesso_custom_css]'
		, array(
        'default'        => '',
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'wp_strip_all_tags',
		'type'=> 'option',
    ));
    $wp_customize->add_control( 'businesso_option[businesso_custom_css]', array(
        'label'   => __('Custom css', 'businesso'),
        'section' => 'custom_css',
        'type' => 'textarea',
    ));
	
	function businesso_prefix_sanitize_layout( $news ) {
    if ( ! in_array( $news, array( 1,'category_news' ) ) )    
    return $news;
}
	
	// Footer Copyright Option Settings
	$wp_customize->add_section( 'footer_copyright_setting' , array(
		'title'      => __('Footer Customization', 'businesso'),
		'panel'  => 'header_options',
		'priority' => 39,
   	) );
	$wp_customize->add_setting(
	'businesso_option[footer_customization_text]'
		, array(
        'default'        => __('@ 2015 businesso Theme ','businesso'),
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=> 'option',
    ));
    $wp_customize->add_control( 'businesso_option[footer_customization_text]', array(
        'label'   => __('Footer Customization Text', 'businesso'),
        'section' => 'footer_copyright_setting',
        'type' => 'text',
    ));	
	
	$wp_customize->add_setting(
	'businesso_option[footer_customization_develop]'
		, array(
        'default'        => __('Developed By ','businesso'),
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=> 'option',
    ));
    $wp_customize->add_control( 'businesso_option[footer_customization_develop]', array(
        'label'   => __('Footer Customization Developed By', 'businesso'),
        'section' => 'footer_copyright_setting',
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
	'businesso_option[develop_by_name]'
		, array(
        'default'        => __('Asisa Themes ','businesso'),
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_text_field',
		'type'=> 'option',
    ));
    $wp_customize->add_control( 'businesso_option[develop_by_name]', array(
        'label'   => __('Theme Developed By Name', 'businesso'),
        'section' => 'footer_copyright_setting',
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
	'businesso_option[develop_by_link]'
		, array(
        'default'        => __('https://asiathemes.com/','businesso'),
        'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'esc_url_raw',
		'type'=> 'option',
    ));
    $wp_customize->add_control( 'businesso_option[develop_by_link]', array(
        'label'   => __('Theme Developed By Link', 'businesso'),
        'section' => 'footer_copyright_setting',
        'type' => 'text',
    ));
	
	$wp_customize->add_section( 'businesso_pro' , array(
				'title'      	=> __( 'Upgrade to businesso Premium', 'businesso' ),
				'priority'   	=> 999,
				'panel'=>'header_options',
			) );

			$wp_customize->add_setting( 'businesso_pro', array(
				'default'    		=> null,
				'sanitize_callback' => 'sanitize_text_field',
			) );

			$wp_customize->add_control( new asiathemes_More_businesso_Control( $wp_customize, 'businesso_pro', array(
				'label'    => __( 'businesso Premium', 'businesso' ),
				'section'  => 'businesso_pro',
				'settings' => 'businesso_pro',
				'priority' => 1,
			) ) );
} 
/* Custom Control Class */
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'asiathemes_businesso_Customize_Misc_Control' ) ) :
class asiathemes_businesso_Customize_Misc_Control extends WP_Customize_Control {
    public $settings = 'blogname';
    public $description = '';
    public function render_content() {
        switch ( $this->type ) {
            default:
           
            case 'heading':
                echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
                break;
 
            case 'line' :
                echo '<hr />';
                break;
			
        }
    }
}
endif;
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'asiathemes_More_businesso_Control' ) ) :
class asiathemes_More_businesso_Control extends WP_Customize_Control {

	/**
	* Render the content on the theme customizer page
	*/
	public function render_content() {
		?>
		<label style="overflow: hidden; zoom: 1;">
			<div class="col-md-2 col-sm-6 content-btn">					
					<a style="margin-bottom:20px;margin-left:20px;" href="https://asiathemes.com" target="blank" class="btn pro-btn-success btn"><?php _e('Upgrade to businesso Premium','businesso'); ?> </a>
			</div>
			<div class="col-md-4 col-sm-6">
				<img class="businesso_img_responsive " src="<?php echo ASIATHEMES_TEMPLATE_DIR_URI .'/images/businesso.jpg'?>">
			</div>			
			<div class="col-md-3 col-sm-6">
				<h3 style="margin-top:10px;margin-left: 20px;text-decoration:underline;color:#333;"><?php echo _e( 'businesso Premium - Features','businesso'); ?></h3>
					<ul style="padding-top:20px">
						<li class="businesso-content" style="color:#b2cc02"> <div class="dashicons dashicons-yes"></div> <?php _e('5 GB Free Web Hosting with Pro version ','businesso'); ?> </li>
						<li class="businesso-content" style="color:#b2cc02"> <div class="dashicons dashicons-yes"></div> <?php _e('One Year Free Support ','businesso'); ?> </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Responsive Design','businesso'); ?> </li>						
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('More than 10 Templates','businesso'); ?> </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('3 Types of Portfolio Templates','businesso'); ?></li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('8 types Themes Colors Scheme','businesso'); ?></li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Patterns Background','businesso'); ?>   </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('WPML Compatible','businesso'); ?>   </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Image Background','businesso'); ?>  </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Ultimate Portfolio layout with Taxonomy Tab effect','businesso'); ?> </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Translation Ready','businesso'); ?> </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Coming Soon Mode','businesso'); ?>  </li>
						<li class="businesso-content"> <div class="dashicons dashicons-yes"></div> <?php _e('Google Fonts','businesso'); ?>  </li>
					
					</ul>
			</div>
			
		</label>
		<?php
	}
}
endif;